### Name: compareGraphs
### Title: Compare two graphs in terms of TPR, FPR and TDR
### Aliases: compareGraphs
### Keywords: graphs

### ** Examples

## generate a graph with 4 nodes
V <- LETTERS[1:4]
edL2 <- vector("list", length=4)
names(edL2) <- V
edL2[[1]] <- list(edges= 2)
edL2[[2]] <- list(edges= c(1,3,4))
edL2[[3]] <- list(edges= c(2,4))
edL2[[4]] <- list(edges= c(2,3))
gt <- new("graphNEL", nodes=V, edgeL=edL2, edgemode="undirected")

## change graph
gl <- addEdge("A","C", gt,1)

## compare the two graphs
par(mfrow=c(2,1))
plot(gt) ; title("True graph")
plot(gl) ; title("Estimated graph")
(cg <- compareGraphs(gl,gt))
## Don't show: 
stopifnot(cg == c(1, 1/2, 4/5))
## End Don't show



